SDL_waylandopengles.h File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysvideo.h"`
`#include "../SDL_egl_c.h"`
Include dependency graph for SDL_waylandopengles.h:

Go to the source code of this file.

## Data Structures

struct | SDL_PrivateGLESData

## Macros

#define | Wayland_GLES_GetAttribute SDL_EGL_GetAttribute
#define | Wayland_GLES_GetProcAddress SDL_EGL_GetProcAddress
#define | Wayland_GLES_UnloadLibrary SDL_EGL_UnloadLibrary
#define | Wayland_GLES_SetSwapInterval SDL_EGL_SetSwapInterval
#define | Wayland_GLES_GetSwapInterval SDL_EGL_GetSwapInterval

## Functions

int | Wayland_GLES_LoadLibrary (_THIS, const char *path)
SDL_GLContext | Wayland_GLES_CreateContext (_THIS, SDL_Window *window)
int | Wayland_GLES_SwapWindow (_THIS, SDL_Window *window)
int | Wayland_GLES_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
void | Wayland_GLES_GetDrawableSize (_THIS, SDL_Window *window, int *w, int *h)
void | Wayland_GLES_DeleteContext (_THIS, SDL_GLContext context)

## Macro Definition Documentation

## Wayland_GLES_GetAttribute

#define Wayland_GLES_GetAttribute SDL_EGL_GetAttribute

Definition at line 35 of file SDL_waylandopengles.h.

## Wayland_GLES_GetProcAddress

#define Wayland_GLES_GetProcAddress SDL_EGL_GetProcAddress

Definition at line 36 of file SDL_waylandopengles.h.

## Wayland_GLES_GetSwapInterval

#define Wayland_GLES_GetSwapInterval SDL_EGL_GetSwapInterval

Definition at line 39 of file SDL_waylandopengles.h.

## Wayland_GLES_SetSwapInterval

#define Wayland_GLES_SetSwapInterval SDL_EGL_SetSwapInterval

Definition at line 38 of file SDL_waylandopengles.h.

## Wayland_GLES_UnloadLibrary

#define Wayland_GLES_UnloadLibrary SDL_EGL_UnloadLibrary

Definition at line 37 of file SDL_waylandopengles.h.

## Function Documentation

## Wayland_GLES_CreateContext()

SDL_GLContext Wayland_GLES_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Wayland_GLES_DeleteContext()

void Wayland_GLES_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

## Wayland_GLES_GetDrawableSize()

void Wayland_GLES_GetDrawableSize | ( | _THIS | ,
|  | SDL_Window * | window,
|  | int * | w,
|  | int * | h
| ) |  |

## Wayland_GLES_LoadLibrary()

int Wayland_GLES_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

## Wayland_GLES_MakeCurrent()

int Wayland_GLES_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

## Wayland_GLES_SwapWindow()

int Wayland_GLES_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |